견적서 항목 상세
curl --request GET \
--url https://openapi.pluuug.com/v1/estimate/item/{item_id} \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>'import requests
url = "https://openapi.pluuug.com/v1/estimate/item/{item_id}"
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>', 'X-Signature': '<api-key>'}};
fetch('https://openapi.pluuug.com/v1/estimate/item/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"unitCost": "<string>",
"unit": "<string>",
"image": "<string>",
"description": "<string>",
"classification": {
"id": 123,
"title": "<string>"
}
}견적서
견적서 항목 템플릿 단일 조회
단일 견적서 항목의 상세 정보를 조회합니다. 분류, 단가, 단위, 설명 등을 포함합니다.
GET
/
v1
/
estimate
/
item
/
{item_id}
견적서 항목 상세
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
Response
200 - application/json
제목
Maximum string length:
256단위당 비용
Pattern:
^-?\d{0,28}(?:\.\d{0,2})?$단위
Maximum string length:
8설명
Maximum string length:
2048분류
Show child attributes
Show child attributes
⌘I